/*--------------------------------------------------------------------
	File:        header.h
	Author:      Nils Schmeisser (the rest)
	----------------------------------------------------------------------
	Description: defines the Bitmap header
	----------------------------------------------------------------------
	Notes:
	Date:  8.2.1996
	----------------------------------------------------------------------
*/

#ifndef _BMP
  #define _BMP

  enum COLORS {
    BLACK,          
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,        
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
  };

  extern const int xPALETTE[40][3];

  typedef unsigned short word;
  typedef unsigned int  dword;
  typedef unsigned char byte;

  typedef struct { 
           byte id1;
	   byte id2;
	   dword flenl;
	   dword tmp1;     
	   dword first;       
	   dword tmp2;     
	   dword width;       
	   dword height;        
	   word tmp4;
	   byte bpp;         
	   byte tmp5[3];     
	   byte tmp6[22];    
	   byte *pal;        
	 } bmp_header;      

  typedef struct {
            byte RedVal; byte GreenVal; byte BlueVal;
          } RGBRec;

  extern void ExportToBMP(int w,int h,byte** data,char *name,char* lutname);
  extern void ExportToAVSFLD(int w,int h,byte** data,char *name);

#endif

