#ifdef LCDAPIMODULE
  #undef LCDAPIMODULE
#endif
#include <lcdapi.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
  extern "C" {
#endif
#include <lcdshutter.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <signal.h>
#include <fcntl.h>
#include <unistd.h>
#ifdef __cplusplus
  }
#endif

#include <string.h>

static int lcdd,channel;

static struct {
  long mtype;       /* message type, must be > 0 */
  char mtext;     /* message data */
} *mbuf;


void LCDAPIDrawLine(int x1,int y1,int x2,int y2,int p=-1,int c=-1) {
  int i;
  
  sprintf(&(mbuf->mtext),"%d %d %d %d %d %d %d\n",
	  LCDAPI_DRAW_LINE,p,x1,y1,x2,y2,c);
  mbuf->mtype=1;
  i=msgsnd(channel,(msgbuf*)mbuf,1024,IPC_NOWAIT);
}

void LCDAPICommand(int cmd,int *data) {
}

void LCDAPIFlush() {
  int i;
  
  sprintf(&(mbuf->mtext),"%d\n",LCDAPI_FLUSH);
  mbuf->mtype=1;
  i=msgsnd(channel,(msgbuf*)mbuf,1024,IPC_NOWAIT);
}

void LCDAPIClearDevice() {
  int i;
  
  sprintf(&(mbuf->mtext),"%d\n",LCDAPI_CLRCRT);
  mbuf->mtype=1;
  i=msgsnd(channel,(msgbuf*)mbuf,1024,IPC_NOWAIT);
}

void LCDAPIReset() {
  int i;
  
  sprintf(&(mbuf->mtext),"%d\n",LCDAPI_RESET);
  mbuf->mtype=1;
  i=msgsnd(channel,(msgbuf*)mbuf,1024,IPC_NOWAIT);
}

void LCDAPIInit() {
  char s[256];
  FILE *f;
  key_t msg_key;
  int msg_flag,i;
  
  mbuf=malloc(1024+sizeof(*mbuf));
  sprintf(s,"/tmp/lcdd.%d",getuid());
  f=fopen(s,"r");
  if (f==NULL) {
    printf("lcdd not loaded, terminating\n");
    exit(-1);
  }
  fscanf(f,"%d:%d",&lcdd,&i);
  msg_key=(key_t)i;
  msg_flag=0;
  channel=msgget(msg_key,msg_flag);
  printf("LCDAPI using %d:%d\n",channel,i);
  LCDAPIReset();
}


