#ifndef LCDSHUTTER_
#define LCDSHUTTER_

/*--- some important common definitions like major and maxminor device */

#ifndef LCDSHUTTER_MAJOR
  #define LCDSHUTTER_MAJOR  32   /* the default major device number */
#endif
#define LCDSHUTTER_MAX       1   /* maximum number of supported
                                    devices, increase this by one
                                    each time you add a new device  */

/*--- definitions for the CyberBoy glasses -------------------------*/

#ifdef PORT_COM1
  #define CYBERBOY_PORT 0x3fc     /* io port for CyberBoyt at COM1  */
#endif
#ifdef PORT_COM2
  #define CYBERBOY_PORT 0x2fc     /* io port for CyberBoyt at COM2  */
#endif

/*--- definitions for the Sega glasses -----------------------------*/

#define SEGA_PORT 0x0

/*--- the shutter will be controlled by ioctl commands -------------*/

#define LCDSHUTTER_CLEAR  0x00   /* ioctl cmd to open both eyes     */
#define LCDSHUTTER_CLOSE  0x01   /* ioctl cmd to close both eyes, 
                                    not supported by all glasses    */
#define LCDSHUTTER_OLEFT  0x02   /* ioctl cmd to open left eye      */
#define LCDSHUTTER_ORIGHT 0x03   /* ioctl cmd to open right eye     */

extern int  ShutterInit();   /* initialize the default /dev/lcdshutter */
extern void ShutterDone();   /* close the shutter device            */
extern void ShutterClear();  /* open both eyes                      */
extern void ShutterClose();  /* close both eyes, not supported by all
                                glasses                             */
extern void ShutterLeft();   /* open left eye only                  */
extern void ShutterRight();  /* open right eye only                 */

/*------------------------------------------------------------------*/

#define PIT_MODE 0x43		/*io port for timer 0*/
#define PIT_COUNTER_0 0x40	/*io port for timer 0*/

#endif
